Subscription
All operations require authentication.
2 operationsv1/ssl/{serviceName}
Get subscriptionProduction
GET
/1.0/ ssl/ {serviceName}/ serviceInfos
Returns the subscription of an SSL certificate: creation and expiration dates, and contacts.
Path parameters
service Name
required
string
Service name
Response
200Servicesuccessful operation
can Delete At Expiration
read-only
boolean
Indicates that the service can be set up to be deleted at expiration
contact Admin
read-only
string
—
contact Billing
read-only
string
—
contact Tech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engaged Up To
read-only
stringdate
—
expiration
read-only
stringdate
—
possible Renew Period
read-only
integer []
All the possible renew period of your service in month
renew
Renew Type
Way of handling the renew
renewal Type
read-only
Renewal Type Enum
Detailed renewal type of a service
Values
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionservice Id
read-only
integer
—
status
read-only
State Enum
—
Values
autorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ssl/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update subscriptionProduction
PUT
/1.0/ ssl/ {serviceName}/ serviceInfos
Updates the subscription of an SSL certificate. Certificates are not renewed automatically.
Path parameters
service Name
required
string
Service name
Request body (required)
can Delete At Expiration
read-only
boolean
Indicates that the service can be set up to be deleted at expiration
contact Admin
read-only
string
—
contact Billing
read-only
string
—
contact Tech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engaged Up To
read-only
stringdate
—
expiration
read-only
stringdate
—
possible Renew Period
read-only
integer []
All the possible renew period of your service in month
renew
Renew Type
Way of handling the renew
renewal Type
read-only
Renewal Type Enum
Detailed renewal type of a service
Values
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionservice Id
read-only
integer
—
status
read-only
State Enum
—
Values
autorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
200—successful operation
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ ssl/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"